import { useState } from "react";
import button from "./button-styles";

interface Props {
  children: React.ReactElement;
}

function Button({ children }: Props) {
  const [state, setState] = useState("Click Me");
  return (
    <button className={button()} onClick={() => setState("Clicked!")}>
      {state}: {children}
    </button>
  );
}

export default Button;
